<?php  
    $wp_customize->add_section(
        'featuredproducts_area',
        array(
            'title' => __( 'Feature Products Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'featured_products_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'featured_products_area_disable',
            array(
                'settings'      => 'featured_products_area_disable',
                'section'       => 'featuredproducts_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'featuredproducts', 'featuredproducts_area', $color='#fff', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'featuredproductsarea_padding', 'featuredproducts_area', 'Section Padding');

$wp_customize->add_setting(
    'featured_products_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featured_products_areaTpadding',
    array(
        'settings'      => 'featured_products_areaTpadding',
        'section'       => 'featuredproducts_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'featured_products_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3.1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featured_products_areaBpadding',
    array(
        'settings'      => 'featured_products_areaBpadding',
        'section'       => 'featuredproducts_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'feature_headingtxt', 'featuredproducts_area', 'Section Heading And Text');

$wp_customize->add_setting(
        'feature_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Featured Products', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'feature_title',
        array(
            'settings'      => 'feature_title',
            'section'       => 'featuredproducts_area',
            'type'          => 'text',
            'label'         => __( 'Heading', 'luzuk-premium' )
        )
    );

$wp_customize->add_setting(
        'featuredproductsubtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Discover the Southern Flavors Within Our Wines', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'featuredproductsubtitle',
        array(
            'settings'      => 'featuredproductsubtitle',
            'section'       => 'featuredproducts_area',
            'type'          => 'text',
            'label'         => __( 'Text', 'luzuk-premium' )
        )
    );
    
lzCustomLable($wp_customize, 'featuredproductsarea_clr', 'featuredproducts_area', 'Featured Products Color Setting');

addColorPalatOption($wp_customize, 'featuredproducts_area_headingClr', 'featuredproducts_area', 'Heading Color', '#000');

addColorPalatOption($wp_customize, 'featuredproducts_area_txtClr', 'featuredproducts_area', 'Text Color', '#000');

addColorPalatOption($wp_customize, 'featuredproducts_area_icnClr', 'featuredproducts_area', 'Discount Text And Product Hover Icon Color', '#000');

addColorPalatOption($wp_customize, 'featuredproducts_area_icnbgClr', 'featuredproducts_area', 'Discount Text And Product Hover Icon BG Color', '#DFDABA');

addColorPalatOption($wp_customize, 'featuredproducts_area_pagetitle', 'featuredproducts_area', 'Product Title Color', '#000');

addColorPalatOption($wp_customize, 'featuredproducts_area_priceClr', 'featuredproducts_area', 'Product Price Color', '#030303');